Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.generators
Class StaticInterceptor

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.modules.generators.StaticInterceptor

public class StaticInterceptor
extends BaseInterceptor

Handler for static files.

Author:
  costin@dnt.ro

Field Summary

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`cm, ct, ctx, debug, DECLINED, loghelper, OK`

Constructor Summary
`StaticInterceptor()`

Method Summary
`void` | `contextInit(Context ctx)` Notify when a context is initialized.
`void` | `engineInit(ContextManager cm)` Initialize the module.
`boolean` | `getListings()`
`int` | `requestMap(Request req)` Handle mappings inside a context.
`void` | `setExtraSafety(boolean safe)` Request extra safety checks.
`void` | `setListings(boolean listings)`
`void` | `setStrict23Welcome(boolean support)` Support the 2.3 behavior of allowing mapped servlets as welcome files.
`void` | `setUseAcceptLanguage(boolean use)`
`void` | `setUseCharset(java.lang.String charset)`
`void` | `setUseInternal(boolean internal)` Do we do an internal redirect?

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addContext, addHandler, addInterceptor, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextMap, contextShutdown, contextState, copyContext, engineShutdown, engineStart, engineState, engineStop, findSession, getContext, getContextManager, getDebug, getInfo, getLog, getNote, getNote, handleError, log, log, log, log, postInitCheck, postReadRequest, postRequest, postService, postServletDestroy, postServletInit, preInitCheck, preService, preServletDestroy, preServletInit, registerHooks, reload, removeContainer, removeContext, removeHandler, removeInterceptor, sessionState, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticInterceptor

    public StaticInterceptor()

Method Detail

### getListings

    public boolean getListings()

### setListings

    public void setListings(boolean listings)

### setUseInternal

    public void setUseInternal(boolean internal)

  Do we do an internal redirect?

  Parameters:
    `internal` - `true` do an internal redirect. `false` do a 301 redirect.

### setStrict23Welcome

    public void setStrict23Welcome(boolean support)

  Support the 2.3 behavior of allowing mapped servlets as welcome files.

  Parameters:
    `support` - `true` Allow mapped servlets. `false` Allow only files.

### setUseAcceptLanguage

    public void setUseAcceptLanguage(boolean use)

### setUseCharset

    public void setUseCharset(java.lang.String charset)

### setExtraSafety

    public void setExtraSafety(boolean safe)

  Request extra safety checks. Defaults to `false` since it also prevents certain include/forwards from working.

### engineInit

    public void engineInit(ContextManager cm)
                    throws TomcatException

  Description copied from class: `BaseInterceptor`
  Initialize the module.

  Overrides:
    `engineInit` in class `BaseInterceptor`
  Throws:
    `TomcatException` - The module will not be added if any exception is thrown by engineInit.

### contextInit

    public void contextInit(Context ctx)
                     throws TomcatException

  Description copied from class: `BaseInterceptor`
  Notify when a context is initialized. The first interceptor in the chain for contextInit must read web.xml and set the context. When this method is called you can expect the context to be filled in with all the informations from web.xml.

  Overrides:
    `contextInit` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### requestMap

    public int requestMap(Request req)

  Description copied from class: `BaseInterceptor`
  Handle mappings inside a context. You are required to respect the mappings in web.xml.

  Overrides:
    `requestMap` in class `BaseInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.